import { GitHub } from "arctic";
import getConfig from "next/config";

const { serverRuntimeConfig } = getConfig();
export const github = new GitHub(serverRuntimeConfig.OAUTH_CLIENT_ID, serverRuntimeConfig.OAUTH_CLIENT_SECRET, {
	enterpriseDomain: "https://git.i.mercedes-benz.com",
});

export interface GitHubUserResult {
	id: number;
	login: string;
	name: string;
	email: string;
}
